#
# spec file for package kdegraphics3 (Version 3.1.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  hp-officeJet imlib imlib-config imlib-devel kde3-devel-packages kdelibs3-devel-doc libexif libgphoto2 libungif qt3-devel-doc te_kpath tetex tiff xpdf
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils cracklib expat fam fam-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext hp-officeJet imlib imlib-config imlib-devel kdelibs3 kdelibs3-devel kdelibs3-devel-doc libart_lgpl libart_lgpl-devel libexif libgphoto2 libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libungif libxml2 libxml2-devel libxslt libxslt-devel mesa mesaglut mesaglut-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel qt3-devel-doc rpm te_ams te_kpath te_latex tetex tiff update-desktop-files xpdf

Name:         kdegraphics3
License:      GPL
Group:        Productivity/Graphics/Viewers
Provides:     kuickshow kdegraphics3-kfile-plugins
Obsoletes:    kuickshow kdegraphics3-kfile-plugins
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Summary:      Base Libraries for KDE Graphics Applications
Version:      3.1.4
Release:      58
Source0:      kdegraphics-%{version}.tar.bz2
Patch0:       3_1_BRANCH.diff
Patch1:       kamera-30923.patch
Patch2:       use-external-libtiff.diff
Provides:     kdegraphics3-viewer:/opt/kde3/bin/kuickshow
Obsoletes:    kdegraphics3-viewer
%if %suse_version > 730
Provides:     kdegraphics kgraph
%endif

%description
The base applications (Kuickshow and Ksnapshot) and libraries for KDE
graphics applications.

More kdegraphics applications can be found in:

kdegraphics3-fax kdegraphics3-kamera kdegraphics3-postscript
kdegraphics3-scan kdegraphics3-tex kdegraphics3-extra



Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
Requires:     kdegraphics3 kdelibs3-devel
Summary:      build enviroment from kdegraphics
Group:        Development/Libraries/KDE
%if %suse_version > 730
Provides:     kdegraphics-devel
%endif

%description devel
The build enviroment from kdegraphics.

Needed to compile some applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%package extra
# usesubdirs kmrml kpaint kruler kcoloredit kview kiconedit
Summary:      Small KDE Graphics Applications
Group:        Productivity/Graphics/Viewers
Provides:     kdegraphics3-viewer:/opt/kde3/bin/mrmlsearch
Provides:     kdegraphics3:/opt/kde3/bin/ksnapshot
Provides:     kdegraphics:/opt/kde2/bin/ksnapshot
Provides:     kmrml
Obsoletes:    kmrml kdegraphics3-viewer

%description extra
Small KDE graphics applications.

kcolorchooser  - identify color values. kcoloredit	   - for
editing color palettes kiconedit	  - icon editor kpaint	       
    - small paint application kruler		  - a desktop ruler for
measuring pixels ksnapshot	 - creates a screenshot kuickshow      
- fast picture viewer kview		 - a modular picture viewer



Authors:
--------
    The KDE Team <kde@kde.org>

%package 3D
# usesubdirs kpovmodeler
Summary:      Base Libraries for KDE Graphics Applications
Group:        Productivity/Graphics/Viewers
Provides:     kpovmodeler
Obsoletes:    kpovmodeler
Requires:     povray

%description 3D
Base libraries for KDE graphics applications.

kdegraphics3-fax kdegraphics3-kamera kdegraphics3-postscript
kdegraphics3-scan kdegraphics3-tex kdegraphics3-extra



Authors:
--------
    The KDE Team <kde@kde.org>

%package tex
# usesubdirs kdvi
# usefiles /opt/kde3/bin/kviewshell
Summary:      DVI File Viewer
Group:        Productivity/Publishing/TeX/Frontends
Requires:     tetex
Provides:     kdegraphics3:/opt/kde3/bin/kdvi
Provides:     kdegraphics3-viewer:/opt/kde3/bin/kviewshell
Provides:     kdegraphics:/opt/kde2/bin/kfax
Obsoletes:    kdegraphics3-viewer

%description tex
KDVI shows and prints DVI files. DVI files are generated by TeX and
LaTeX.



Authors:
--------
    The KDE Team <kde@kde.org>

%package fax
# usesubdirs kfax kfaxview
Summary:      KDE fax viewer
Group:        Productivity/Graphics/Viewers
Provides:     kdegraphics3:/opt/kde3/bin/kfax
Provides:     kdegraphics:/opt/kde2/bin/kfax

%description fax
This package can show and print received fax files.



Authors:
--------
    The KDE Team <kde@kde.org>

%package postscript
# usesubdirs kghostview kfile-plugins/pdf kfile-plugins/ps
Summary:      KDE Postscript and PDF File Viewer
Group:        Productivity/Graphics/Viewers
Requires:     ghostscript-x11
Provides:     kdegraphics3:/opt/kde3/bin/kghostview
Provides:     kdegraphics:/opt/kde2/bin/kghostview

%description postscript
This package contains KGhostView, an application to show and print
Postscript and PDF files. It also has the ability to create previews
for them in Konqueror.



Authors:
--------
    The KDE Team <kde@kde.org>

%if %suse_version > 730
%package kamera
# usesubdirs kamera
Summary:      KDE digital camera application
Group:        Hardware/Other
Provides:     kdegraphics3:/opt/kde3/lib/kde3/kio_kamera.so

%description kamera
Kamera is a konqueror plugin for digital cameras. It is mostly used for
cameras that are connected via serial port, while usb-cameras are
directly supported by the kernel.



Authors:
--------
    The KDE Team <kde@kde.org>

%endif
%prep
%setup -q -n kdegraphics-%{version}
%patch1 -p1
#%patch0 -p0
%patch2
. /etc/opt/kde3/common_options
# kooka is maintained by holy Klaas himself
rm -rf kooka libkscan doc/kooka
update_admin

%build
. /etc/opt/kde3/common_options
%if %suse_version > 730
   FLAGS="$FLAGS --with-gphoto2-libraries=%_libdir"
   if [ ! -e /usr/include/gphoto2/gphoto2.h ]; then 
      echo "GPHOTO outdated"
      exit 1
   fi
%endif
# we have an own package for kooka
export DO_NOT_COMPILE="libkscan kooka"
./configure $configkde $FLAGS \
  --datadir=/var/lib/texmf/
  
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/opt/kde3/sbin/
cp /usr/bin/{tiff2ps,fax2tiff} $RPM_BUILD_ROOT/opt/kde3/sbin/
%suse_update_desktop_file kpovmodeler    Graphics 3DGraphics
%suse_update_desktop_file -u kamera      Graphics Camera
%suse_update_desktop_file kiconedit      Graphics RasterGraphics
%suse_update_desktop_file kpaint         Graphics RasterGraphics
%suse_update_desktop_file kview          Graphics RasterGraphics
%suse_update_desktop_file kfax           Graphics Viewer
%suse_update_desktop_file kghostview     Graphics Viewer
%suse_update_desktop_file kdvi           Graphics Viewer
%suse_update_desktop_file kuickshow      Graphics Viewer
%suse_update_desktop_file kruler         Utility DesktopUtility
%suse_update_desktop_file ksnapshot      Utility DesktopUtility
%suse_update_desktop_file kcolorchooser  Utility DesktopUtility
%suse_update_desktop_file kcoloredit     Utility DesktopUtility
%suse_update_desktop_file kcmkmrml       Office  Database

%post
%run_ldconfig
%if %suse_version > 800

%post extra
%run_ldconfig

%post tex
%run_ldconfig

%post fax
%run_ldconfig

%post postscript
%run_ldconfig
%endif

%files
%defattr(-,root,root)
/opt/kde3/bin/ksnapshot
/opt/kde3/bin/kuickshow
/opt/kde3/%_lib/libkmultipage.*
/opt/kde3/%_lib/kde3/kfile_bmp.*
/opt/kde3/%_lib/kde3/kfile_ico.*
/opt/kde3/%_lib/kde3/kfile_jpeg.*
/opt/kde3/%_lib/kde3/kfile_png.*
/opt/kde3/%_lib/kde3/kfile_t*
/opt/kde3/%_lib/kde3/kfile_xbm.*
/opt/kde3/%_lib/kuickshow.*
%dir /opt/kde3/share/applnk/Graphics
%dir /opt/kde3/share/applnk/Graphics/More
/opt/kde3/share/applnk/Graphics/More/ksnapshot.desktop
/opt/kde3/share/applnk/Graphics/ksnapshot.desktop
/opt/kde3/share/applnk/Graphics/kuickshow.desktop
/opt/kde3/share/apps/kuickshow
%doc %lang(en) /opt/kde3/share/doc/HTML/en/ksnapshot
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kuickshow
%dir /opt/kde3/share/icons/*/*x*/*
/opt/kde3/share/icons/*/*x*/*/ksnapshot.png
/opt/kde3/share/icons/*/*x*/*/kuickshow.png
/opt/kde3/share/services/kfile_bmp.desktop
/opt/kde3/share/services/kfile_ico.desktop
/opt/kde3/share/services/kfile_jpeg.desktop
/opt/kde3/share/services/kfile_png.desktop
/opt/kde3/share/services/kfile_t*
/opt/kde3/share/services/kfile_xbm.desktop
%if %suse_version > 800

%files extra
%defattr(-,root,root)
%endif
/opt/kde3/bin/kcolor*
/opt/kde3/bin/kiconedit
/opt/kde3/bin/kpaint
/opt/kde3/bin/kruler
/opt/kde3/bin/kview
/opt/kde3/bin/mrmlsearch
/opt/kde3/%_lib/kde3/kcm_kmrml.*
/opt/kde3/%_lib/kde3/kded_daemonwatcher.*
/opt/kde3/%_lib/kde3/kio_mrml.*
/opt/kde3/%_lib/kde3/kview_*
/opt/kde3/%_lib/kde3/libkmrmlpart.*
/opt/kde3/%_lib/kde3/libkview*
/opt/kde3/%_lib/kview.*
/opt/kde3/%_lib/libkviewsupport.*
/opt/kde3/%_lib/mrmlsearch.*
/opt/kde3/share/applnk/Graphics/More/kcolor*
/opt/kde3/share/applnk/Graphics/More/kiconedit.desktop
/opt/kde3/share/applnk/Graphics/More/kruler.desktop
/opt/kde3/share/applnk/Graphics/kcolor*
/opt/kde3/share/applnk/Graphics/kiconedit.desktop
/opt/kde3/share/applnk/Graphics/kpaint.desktop
/opt/kde3/share/applnk/Graphics/kruler.desktop
/opt/kde3/share/applnk/Graphics/kview.desktop
%dir /opt/kde3/share/applnk/Settings/System
/opt/kde3/share/applnk/Settings/System/kcmkmrml.desktop
/opt/kde3/share/apps/kcoloredit
/opt/kde3/share/apps/kiconedit
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/mrml-servicemenu.desktop
/opt/kde3/share/apps/kpaint
/opt/kde3/share/apps/kruler
/opt/kde3/share/apps/kview
/opt/kde3/share/apps/kviewviewer
/opt/kde3/share/icons/*/*x*/*/kcoloredit.png
/opt/kde3/share/icons/*/*x*/*/kiconedit.png
/opt/kde3/share/icons/*/*x*/*/kpaint.png
/opt/kde3/share/icons/*/*x*/*/kruler.png
/opt/kde3/share/icons/*/*x*/*/kview.png
/opt/kde3/share/mimelnk/text/mrml.desktop
/opt/kde3/share/services/kded/daemonwatcher.desktop
/opt/kde3/share/services/kview*
/opt/kde3/share/services/mrml*
/opt/kde3/share/servicetypes/kimageviewer*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcoloredit
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kiconedit
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kpaint
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kruler
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kview
%if %suse_version > 800

%files 3D
%defattr(-,root,root)
%endif
/opt/kde3/bin/kpovmodeler
/opt/kde3/%_lib/kde3/libkpovmodelerpart.*
/opt/kde3/share/applnk/Graphics/kpovmodeler.desktop
/opt/kde3/share/apps/kpovmodeler
/opt/kde3/share/icons/*/*x*/*/kpovmodeler.png
/opt/kde3/share/icons/*/*x*/*/kpovmodeler_doc.png
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kpovmodeler
%if %suse_version > 800

%files tex
%defattr(-,root,root)
%endif
/opt/kde3/bin/kdvi
/opt/kde3/bin/kviewshell
/opt/kde3/%_lib/kde3/kdvipart.*
/opt/kde3/%_lib/kde3/kviewerpart.*
/opt/kde3/%_lib/libkpagetest.*
/opt/kde3/share/applnk/Graphics/kdvi.desktop
/opt/kde3/share/apps/kdvi
/opt/kde3/share/apps/kviewerpart
/opt/kde3/share/apps/kviewshell
/opt/kde3/share/icons/*/*x*/*/kdvi.png
/opt/kde3/share/icons/*/*x*/*/kviewshell.png
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kdvi
%if %suse_version > 800

%files fax
%defattr(-,root,root)
%endif
/opt/kde3/bin/kfax
/opt/kde3/sbin
/opt/kde3/%_lib/kde3/kfaxpart.*
/opt/kde3/share/applnk/Graphics/kfax.desktop
/opt/kde3/share/apps/kfax
/opt/kde3/share/icons/*/*x*/*/kfax.png
%if %suse_version > 800

%files postscript
%defattr(-,root,root)
%endif
/opt/kde3/bin/kghostview
/opt/kde3/%_lib/kde3/kfile_pdf.*
/opt/kde3/%_lib/kde3/kfile_ps.*
/opt/kde3/%_lib/kde3/libkghostviewpart.*
/opt/kde3/share/applnk/Graphics/kghostview.desktop
/opt/kde3/share/apps/kghostview
/opt/kde3/share/icons/*/*x*/*/kghostview.png
/opt/kde3/share/services/kfile_pdf.desktop
/opt/kde3/share/services/kfile_ps.desktop
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kghostview
%if %suse_version > 730

%files kamera
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kcm_kamera.*
/opt/kde3/%_lib/kde3/kio_kamera.*
%dir /opt/kde3/share/applnk/Settings/Peripherals
/opt/kde3/share/applnk/Settings/Peripherals/kamera.desktop
/opt/kde3/share/icons/*/*x*/*/camera.png
/opt/kde3/share/icons/*/*x*/*/camera_test.png
/opt/kde3/share/services/kamera.protocol
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kamera
%endif

%files devel
%defattr(-,root,root)
/opt/kde3/include/*

%changelog -n kdegraphics3
* Fri Jan 07 2005 - adrian@suse.de
- copy tiff binaries into /opt/kde3/sbin/
- do not use -3 option for fax2tiff
* Mon Jan 03 2005 - adrian@suse.de
- use external libtiff for kfax to solve various security issues
  in the included copy. This is a new dependency, but kdelibs does
  require libtiff anyway. (#49093)
* Thu Sep 18 2003 - meissner@suse.de
- kamera ioslave: try opening the camera multiple times if an
  open failed because another slave was running in the background.
  #30923
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Fri Sep 05 2003 - adrian@suse.de
- justify kamera:/ menu entry
* Thu Aug 21 2003 - meissner@suse.de
- upgraded to 3_1_BRANCH diff (contains ptp fixes)
* Wed Aug 20 2003 - meissner@suse.de
- make PTP cameras work in kio_kamera.
* Tue Aug 12 2003 - adrian@suse.de
- justify Categories
* Tue Aug 05 2003 - adrian@suse.de
- fix Categories
* Fri Jul 25 2003 - adrian@suse.de
- fix build for < 8.1
- add Categories
* Thu Jul 17 2003 - adrian@suse.de
- update to version 3.1.3
* Mon Jun 16 2003 - coolo@suse.de
- package directories
* Thu May 22 2003 - coolo@suse.de
- remove kooka's docu too
* Thu May 08 2003 - adrian@suse.de
- update to version 3.1.2
* Tue Apr 29 2003 - adrian@suse.de
- drop patch again (we higher prio in acroread)
* Mon Apr 28 2003 - adrian@suse.de
- lower priority for kghostview
* Wed Apr 09 2003 - adrian@suse.de
- call ghostscript in safe mode
* Wed Mar 26 2003 - adrian@suse.de
- fix build for < 8.0
* Fri Mar 14 2003 - adrian@suse.de
- fix file conflict with kdegraphics3-scan
* Tue Mar 11 2003 - adrian@suse.de
- update to version 3.1.1, try2
* Mon Mar 03 2003 - adrian@suse.de
- update to version 3.1.1
* Fri Feb 28 2003 - adrian@suse.de
- drop unneeded Obsoletes again
* Wed Feb 26 2003 - adrian@suse.de
- update 3_1_BRANCH.diff
- Obsolete kdegraphics for 8.2 and later
- move libkmultipage to main package
* Wed Feb 19 2003 - adrian@suse.de
- add 3_1_BRANCH.diff (fixes camera:/ issues)
- drop -viewer sub-package
  * move kmrml and kview to -extra
  * move kuickshow to main package
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Sat Nov 23 2002 - adrian@suse.de
- fix build for < SuSE 8.0
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
- split kmrml, kview and kuickshow into -viewer package
- create new -3D package for kpovmodeller
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Thu Sep 26 2002 - adrian@suse.de
- fix sig11 in kghostview with broken postscript files (from okir)
* Thu Sep 05 2002 - coolo@suse.de
- the fix for PR18142 contained a major bug that
  crashes konqueror whenever you move the mouse over
  a png (fixed)
* Mon Sep 02 2002 - coolo@suse.de
- taking over 3.0 branch to fix PR18142
* Sat Aug 10 2002 - adrian@suse.de
- fix build for 7.3 and older
* Thu Aug 08 2002 - adrian@suse.de
- fix Obsoletes/Provides (typo)
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- add %%run_ldconfig
* Fri Aug 02 2002 - adrian@suse.de
- integrate -kfile-plugins into main package
- move unwanted apps into -extra
- use current BRANCH
* Mon Jul 29 2002 - meissner@suse.de
- gphoto -> libgphoto2
* Sat Jul 06 2002 - adrian@suse.de
- split into -fax, -kamera, -kfile-plugins, -postscript and -tex
* Thu Jul 04 2002 - adrian@suse.de
- apply kview fix from coolo
* Mon Jun 24 2002 - adrian@suse.de
- update to version 3.0.2
* Wed Jun 19 2002 - adrian@suse.de
- add Requires "ghostscript-x11" for kghostview and "tetex" for kdvi
  (#14676). We have to split this package to survive these dependencies
* Wed Jun 05 2002 - adrian@suse.de
- do not build kooka anymore. We have now an extra kooka package.
* Wed May 15 2002 - meissner@suse.de
- %%_lib fixes.
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Mon Apr 15 2002 - coolo@suse.de
- check if gphoto2.h is there - don't build otherwise on recent
  distributions
* Fri Apr 12 2002 - meissner@suse.de
- GCC 3.1 fixes by updating to current KDE30 branch diff.
* Sun Apr 07 2002 - adrian@suse.de
- add Provides/Obsoletes kuickshow entries
* Sun Apr 07 2002 - ro@suse.de
- fix kooka/Makefile.am for current automake
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Tue Feb 26 2002 - ro@suse.de
- added libexif to neededforbuild
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Wed Jan 16 2002 - adrian@suse.de
- update to snapshot 2.91.2002011523
- merged kscanlib and kooka package to kdegraphics3-kooka
- hotfix autoconf 2.5x problems (does break autoconf 2.13)
- use %%{_lib} for installing
* Thu Jan 10 2002 - adrian@suse.de
- update to version 2.91.20020110
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Tue Nov 13 2001 - adrian@suse.de
- update to version 2.2.2
* Mon Nov 12 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1 final
* Thu Sep 06 2001 - adrian@suse.de
- update kooka&libkscan to current stable version
  (patch from freitag)
* Fri Aug 31 2001 - ro@suse.de
- added <hp-officeJet> to neededforbuild (for sane)
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild
- generate api documentation
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Sun Apr 08 2001 - adrian@suse.de
- update to current KDE_2_1_BRANCH (minor kpaint changes)
- drop -O0 for ppc and alpha
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to final 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Jan 29 2001 - sf@suse.de
- added udate_suse_config
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Tue Dec 19 2000 - adrian@suse.de
- fix file conflict in a different way
* Tue Dec 19 2000 - ro@suse.de
- comment icons-line in file-list (none left)
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - adrian@suse.de
- second try of beta 4
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Mon Jul 10 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@dsuse.de
- update to kde 1.91; beta 2
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000, post-1.90
